import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/payment/asset.dart';

part 'external_chain.g.dart';


@JsonSerializable()
class ExternalChainEndpointDTO {
  final AssetDTO? asset;
  final String address;
  final String? memo;

  const ExternalChainEndpointDTO({
    this.asset,
    required this.address,
    this.memo,
  });

  factory ExternalChainEndpointDTO.fromJson(Map<String, dynamic> json) => _$ExternalChainEndpointDTOFromJson(json);
  Map<String, dynamic> toJson() => _$ExternalChainEndpointDTOToJson(this);
}
